headless lms

Get a community (staff)

GET /api/communities/{communityId}. Get a community (staff). Headless LMS Communities API reference.

GET
/api/communities/{communityId}

Staff only (owner, admin, instructor). Any community of the organization, drafts included.

Path Parameters

communityId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/communities/string"
{  "orgId": "string",  "id": "string",  "type": "community",  "title": "string",  "slug": "string",  "description": "string",  "status": "draft",  "thumbnailAssetId": "string",  "settings": {    "dm": {      "enabled": true,      "memberToMember": true,      "memberToStaff": true,      "staffToAnyone": true,      "firstMessageIsRequest": true,      "groupChats": true,      "groupSize": 1    }  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "thumbnailUrl": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}